cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alena Prokharchyk <Alena.Prokharc...@citrix.com>
Subject Re: [ACS41] API Compatibility Bug?
Date Thu, 18 Apr 2013 18:07:18 GMT
On 4/18/13 11:02 AM, "Chip Childers" <chip.childers@sungard.com> wrote:

>On Thu, Apr 18, 2013 at 10:57:51AM -0700, Alena Prokharchyk wrote:
>> On 4/18/13 10:48 AM, "Chip Childers" <chip.childers@sungard.com> wrote:
>> 
>> >On Thu, Apr 18, 2013 at 10:46:38AM -0700, Alena Prokharchyk wrote:
>> >> I would probably leave it for 4.2.0. And update the release notes for
>> >>4.0
>> >> 
>> >> Chip, what do you think?
>> >
>> >Doesn't 4.1 actually have the right code in it already?
>> >
>> >I think Joe is asking about the 4.0 branch, since he's about to cut the
>> >second RC for that code line.
>> 
>> 
>> 4.1 does have correct code. Chip, would you advise to patch 4.0? It
>>would
>> require java code changes - fixing annotations in the APIs. Then we have
>> to generate new xml/html api docs.
>> 
>> -Alena.
>
>Joe's the RM for the 4.0.2 release.  I think he's asking about (1)
>impact, (2) risk and (3) how quick the fix will be.  We're about to
>start another round of voting for 4.0.2, and generating new API docs
>will be part of that release process anyway.  The question is really
>intended to get the code clean so that the (hopefully) last 4.0.x
>release has correct docs in it.
>


There is a minimal impact - only api docs will get affected, and the fix
should be relatively quick as all we have to do is to fix @Implementation
parameter in 3 java classes.


Mime
View raw message